Namespace
apache
Image / Tag
dolphinscheduler:2.0.6
Content Digest
sha256:4e9880ba375e58e02b080bd65bcf53cda128b39ed96b95bd4ad637be1738ad5e
Details
Created

2022-07-14 04:46:08 UTC

Size

224 MB

Content Digest
Environment
DOCKER

true

DOLPHINSCHEDULER_HOME

/opt/dolphinscheduler

JAVA_HOME

/usr/local/openjdk-8

JAVA_VERSION

8u332

LANG

C.UTF-8

PATH

/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

TZ

Asia/Shanghai


Layers

[#000] sha256:824b15f81d6568adc139263c39805e52d9880758b907f40144bbb1938ca59323 - 11.57% (25.9 MB)

[#001] sha256:420fab7e4cce528d853465a0775f91b15783a53a42b906820fb3f70f0f731667 - 1.4% (3.12 MB)

[#002] sha256:17cc1e3d6d3732acee702c68bf93504ebe4e5c55920790e28b99c6849e782b35 - 0.0% (211 Bytes)

[#003] sha256:157ed8b1255f39df56128dba009619425842ec5ccbdbcc3c877a494f33a08f7b - 17.78% (39.8 MB)

[#004] sha256:711a8aecc2262c5e2bd554bb66269f44285cccb7471479005209fca94c49079b - 4.66% (10.4 MB)

[#005] sha256:d190bc2e0ea2215cb2c8d182e7a17353a9caca34139691754cf7c5a1b766d6e1 - 64.58% (144 MB)

[#006] sha256:3b15dce97b77d433b9a75651444b58c12de91754448e7e63767e970a91bc1ab1 - 0.0% (151 Bytes)

[#007] sha256:088c8f1d7a40a950c289da00e6f553469d5a2943343b5cbbe6e455e89d14bbbb - 0.0% (711 Bytes)

[#008] sha256:a5711fb5857ebe61dca8a1a27510ddb63a1a76aaecdf671942208bcccb35d604 - 0.0% (2.39 KB)

[#009] sha256:312f45d5a1dc9c0245c6633f400e90ecadc8a50bf190ab65c0561a3138915fca - 0.0% (1.78 KB)

[#010] sha256:757e523a40a6c625b83a41deb61e747f03026b1a87bf9eaddb8d9bebd677106b - 0.0% (5.07 KB)

[#011] sha256:2c5e68675c97153b91a5ad9ec01efe3147057197d49e8b4f43820ba99189755b - 0.0% (1.77 KB)

[#012] sha256:66f9f2d5115a19e2d0923f4a404a96ecceef728079e85c4942dc51fdff94ae77 - 0.0% (990 Bytes)

[#013] sha256:8e74d8a0ed1d0e6a8eee5edc9dc37720dc532f94a1cf384b4e2a7bb55f17daae - 0.0% (835 Bytes)

[#014] sha256:c301d9857b6abd67971fba1d86e23598b423d8f474f164af3d276b1d9431797d - 0.0% (8.49 KB)


History
2022-06-23 00:20:46 UTC

/bin/sh -c #(nop) ADD file:0ae121f9805d31a4ad0ed63e1fc397167a23656a285572fe68bfc51ea91ecfdd in /

2022-06-23 00:20:46 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-06-23 04:54:40 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2022-06-23 05:01:05 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-8

2022-06-23 05:01:05 UTC

/bin/sh -c { echo '#/bin/sh'; echo 'echo "$JAVA_HOME"'; } > /usr/local/bin/docker-java-home && chmod +x /usr/local/bin/docker-java-home && [ "$JAVA_HOME" = "$(docker-java-home)" ] # backwards compatibility

2022-06-23 05:01:05 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-06-23 05:01:05 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-06-23 05:01:05 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=8u332

2022-06-23 05:02:07 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u332-b09/OpenJDK8U-jre_x64_linux_8u332b09.tar.gz'; ;; 'arm64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u332-b09/OpenJDK8U-jre_aarch64_linux_8u332b09.tar.gz'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends dirmngr gnupg wget ; rm -rf /var/lib/apt/lists/*; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; wget --progress=dot:giga -O openjdk.tgz.asc "$downloadUrl.sign"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys EAC843EBD3EFDB98CC772FADA5CD6035332FA671; gpg --batch --keyserver keyserver.ubuntu.com --keyserver-options no-self-sigs-only --recv-keys CA5F11C6CE22644D42C6AC4492EF8D39DC13168F; gpg --batch --list-sigs --keyid-format 0xLONG CA5F11C6CE22644D42C6AC4492EF8D39DC13168F | tee /dev/stderr | grep '0xA5CD6035332FA671' | grep 'Andrew Haley'; gpg --batch --verify openjdk.tgz.asc openjdk.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME"; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -version

2022-07-14 04:29:26 UTC

/bin/sh -c #(nop) ARG VERSION

2022-07-14 04:29:26 UTC

/bin/sh -c #(nop) ARG DEBIAN_FRONTEND=noninteractive

2022-07-14 04:29:26 UTC

/bin/sh -c #(nop) ENV TZ=Asia/Shanghai

2022-07-14 04:29:26 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-07-14 04:29:26 UTC

/bin/sh -c #(nop) ENV DOCKER=true

2022-07-14 04:29:27 UTC

/bin/sh -c #(nop) ENV DOLPHINSCHEDULER_HOME=/opt/dolphinscheduler

2022-07-14 04:45:57 UTC

|2 DEBIAN_FRONTEND=noninteractive VERSION=2.0.6 /bin/sh -c apt-get update && apt-get install -y --no-install-recommends tzdata dos2unix python supervisor procps psmisc netcat sudo tini && echo "Asia/Shanghai" > /etc/timezone && rm -f /etc/localtime && dpkg-reconfigure tzdata && rm -rf /var/lib/apt/lists/* /tmp/*

2022-07-14 04:46:01 UTC

/bin/sh -c #(nop) ADD file:f0c9f217649888de9233ca586bca91bb58009ddcc243a1b7bd897e262f505f7c in /opt/

2022-07-14 04:46:05 UTC

|2 DEBIAN_FRONTEND=noninteractive VERSION=2.0.6 /bin/sh -c ln -s -r /opt/apache-dolphinscheduler-${VERSION}-bin /opt/dolphinscheduler

2022-07-14 04:46:05 UTC

/bin/sh -c #(nop) WORKDIR /opt/apache-dolphinscheduler-2.0.6-bin

2022-07-14 04:46:06 UTC

/bin/sh -c #(nop) COPY file:690d762a13ae2a9f5616e627fe87a9fa0784556ac740c80347b9ba96030685c7 in /root/checkpoint.sh

2022-07-14 04:46:06 UTC

/bin/sh -c #(nop) COPY file:a44a3b5ad07425355b177507c7732e22ca68a12836345a34c0bf673a8af434e6 in /root/startup-init-conf.sh

2022-07-14 04:46:06 UTC

/bin/sh -c #(nop) COPY file:6a4a082597b4425345760093473f817b439410852a5c1b878c2ceda1b7c6e20c in /root/startup.sh

2022-07-14 04:46:07 UTC

/bin/sh -c #(nop) COPY multi:798608fd53246c790b1ad0df652ab8d68e4d353f874c64ab7f8db41818654087 in /opt/dolphinscheduler/conf/

2022-07-14 04:46:07 UTC

/bin/sh -c #(nop) COPY multi:7a00f49bc651c410e340ab2e84008790d70731a644e8667933c3068ae058e727 in /opt/dolphinscheduler/conf/

2022-07-14 04:46:07 UTC

/bin/sh -c #(nop) COPY file:40180c925c364b699b93dda6c309ad9368ba3ed5e030a831e1a7a82622d6a838 in /etc/supervisor/conf.d/

2022-07-14 04:46:07 UTC

/bin/sh -c #(nop) COPY file:55a5b7eae718c684cf8edce811aca8d4fcea08dc21edb8f52e0a5a01e60ca0f6 in /opt/dolphinscheduler/conf/env/

2022-07-14 04:46:08 UTC

|2 DEBIAN_FRONTEND=noninteractive VERSION=2.0.6 /bin/sh -c sed -i 's/*.conf$/*.ini/' /etc/supervisor/supervisord.conf && dos2unix /root/checkpoint.sh && dos2unix /root/startup-init-conf.sh && dos2unix /root/startup.sh && dos2unix /opt/dolphinscheduler/script/*.sh && dos2unix /opt/dolphinscheduler/bin/*.sh && rm -f /bin/sh && ln -s /bin/bash /bin/sh && mkdir -p /tmp/xls && echo PS1=\'\\w \\$ \' >> ~/.bashrc && echo "Set disable_coredump false" >> /etc/sudo.conf

2022-07-14 04:46:08 UTC

/bin/sh -c #(nop) EXPOSE 1234 12345 50051 50052 5678

2022-07-14 04:46:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/usr/bin/tini" "--" "/root/startup.sh"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete